Skip to main content
`Ctrl`+`K`

# TaoDefaultComputeHessian

Computes the Hessian using finite differences.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultComputeHessian(Tao tao, Vec V, Mat H, Mat B, void *dummy)

Collective

## Input Parameters

- tao - the Tao context

- V - compute Hessian at this point

- dummy - not used

## Output Parameters

- H - Hessian matrix (not altered in this routine)

- B - newly computed Hessian matrix to use with preconditioner (generally the same as H)

## Options Database Key

- -tao_fd_hessian - activates TaoDefaultComputeHessian()

## Notes

This routine is slow and expensive, and is not optimized to take advantage of sparsity in the problem. Although it is not recommended for general use in large-scale applications, It can be useful in checking the correctness of a user-provided Hessian.

## See Also

`Tao`, `TaoSetHessian()`, `TaoDefaultComputeHessianColor()`, `SNESComputeJacobianDefault()`, `TaoSetGradient()`, `TaoDefaultComputeGradient()`

## Level

advanced

## Location

src/tao/interface/fdiff.c

## Examples

src/tao/unconstrained/tutorials/minsurf2.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages